import 'dart:async';
import 'dart:convert';

import 'package:ai_app/models/interview_model.dart';
import 'package:ai_app/services/http_service.dart';

class AiRepository {
  final HttpService _httpService;

  AiRepository(this._httpService) : assert(_httpService != null);

  Future<InterviewModel?> createInterview({required String video}) {
    return _httpService.createInterview(video: video).then(
      (data) async {
        if (data.statusCode >= 200 && data.statusCode < 300) {
          var result = json.decode(data.body);
          InterviewModel interviewData = InterviewModel.fromJson(result[0]);
          return interviewData;
        }
        return null;
      },
    );
  }
}
