import 'dart:convert';
import 'dart:developer';
import 'package:http/http.dart' as http;
import 'package:http/http.dart';
import 'package:ai_app/exeptions/auth_exception.dart';

class HttpService {
  final String apiURL = 'http://10.0.2.2:3000';

  Future<Response> post(
      {required url,
      Map<String, String>? headers,
      body,
      Encoding? encoding}) async {
    final response =
        await http.post(url, headers: headers, body: body, encoding: encoding);
    if (response.statusCode == 401 &&
        json.decode(response.body)['message'] == 'Expired JWT Token') {
      throw ExpiredTokenException(response.reasonPhrase);
    } else {
      return response;
    }
  }

  Future<http.Response> createInterview({
    required String video,
  }) {
    var data = json.encode({
      "video": video,
    });
    log(data);

    return post(
      url: Uri.parse('$apiURL/interview/create'),
      headers: {
        "content-type": 'application/json',
      },
      body: data,
    );
  }
}
