import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:ai_app/globals/global_colors.dart';

class AiOutlinedButton extends StatelessWidget {
  const AiOutlinedButton({
    required this.onPressed,
    required this.text,
    required this.isGreenButton,
    required this.isBlueFont,
    Key? key,
  }) : super(key: key);

  final VoidCallback onPressed;
  final String text;
  final bool isGreenButton;
  final bool isBlueFont;

  @override
  Widget build(BuildContext context) {
    return Container(
      width: ScreenUtil().setWidth(250),
      height: ScreenUtil().setHeight(42),
      child: OutlinedButton(
        style: OutlinedButton.styleFrom(
          backgroundColor: isGreenButton == true
              ? GlobalColors.aiLightGreen
              : Colors.transparent,
          side: isGreenButton == true
              ? null
              : BorderSide(
                  color: isBlueFont == true
                      ? GlobalColors.aiBlue
                      : Colors.white,
                ),
        ),
        onPressed: onPressed,
        child: Text(
          text,
          style: TextStyle(
            fontSize: ScreenUtil().setSp(16),
            color:
                isBlueFont == true ? GlobalColors.aiBlue : Colors.white,
          ),
        ),
      ),
    );
  }
}
